# Run tests in check section
%bcond_with check

%global goipath         github.com/shurcooL/htmlg
%global commit          d01228ac9e50f5ab7eee96dcf692117607ef516e

%global common_description %{expand:
htmlg contains helper funcs for generating HTML nodes and rendering them. 
Context-aware escaping is done just like in html/template, making it safe 
against code injection.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.4
Summary:        Generate and render HTML nodes with context-aware escaping
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(golang.org/x/net/html)
BuildRequires: golang(golang.org/x/net/html/atom)

%if %{with check}
BuildRequires: golang(github.com/shurcooL/component)
%endif

%description
%{common_description}

%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg


%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gochecks
%endif

%gopkgfiles



%changelog
* Sun Aug 30 2020 joequant <joequant> 0-0.4.mga8
+ Revision: 1619965
- fix build

* Sun Nov 25 2018 pterjan <pterjan> 0-0.3.mga7
+ Revision: 1334483
- imported package golang-github-shurcool-htmlg

